org.apache.xmpbox.schema

## Class AdobePDFSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.AdobePDFSchema

    public class AdobePDFSchema
    extends XMPSchema

Representation of Adobe PDF Schema

Author:
  a183132

### Field Summary

Fields
`static String` `KEYWORDS`
`static String` `PDF_VERSION`
`static String` `PRODUCER`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`AdobePDFSchema(XMPMetadata metadata)` Constructor of an Adobe PDF schema with preferred prefix
`AdobePDFSchema(XMPMetadata metadata, String ownPrefix)` Constructor of an Adobe PDF schema with specified prefix

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKeywords()` Give the PDF Keywords property value (string)
`TextType` `getKeywordsProperty()` Give the PDF Keywords property
`String` `getPDFVersion()` Give the PDFVersion property value (string)
`TextType` `getPDFVersionProperty()` Give the PDFVersion property
`String` `getProducer()` Give the producer property value (string)
`TextType` `getProducerProperty()` Give the producer property
`void` `setKeywords(String value)` Set the PDF keywords
`void` `setKeywordsProperty(TextType keywords)` Set the PDF keywords
`void` `setPDFVersion(String value)` Set the PDFVersion
`void` `setPDFVersionProperty(TextType version)` Set the PDFVersion
`void` `setProducer(String value)` Set the PDFProducer
`void` `setProducerProperty(TextType producer)` Set the PDFProducer

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEYWORDS

    public static final String KEYWORDS

See Also:
  Constant Field Values

#### PDF_VERSION

    public static final String PDF_VERSION

See Also:
  Constant Field Values

#### PRODUCER

    public static final String PRODUCER

See Also:
  Constant Field Values

### Constructor Detail

#### AdobePDFSchema

    public AdobePDFSchema(XMPMetadata metadata)

Constructor of an Adobe PDF schema with preferred prefix

Parameters:
  `metadata` - The metadata to attach this schema

#### AdobePDFSchema

    public AdobePDFSchema(XMPMetadata metadata,
                          String ownPrefix)

Constructor of an Adobe PDF schema with specified prefix

Parameters:
  `metadata` - The metadata to attach this schema
  `ownPrefix` - The prefix to assign

### Method Detail

#### setKeywords

    public void setKeywords(String value)

Set the PDF keywords

Parameters:
  `value` - Value to set

#### setKeywordsProperty

    public void setKeywordsProperty(TextType keywords)

Set the PDF keywords

Parameters:
  `keywords` - Property to set

#### setPDFVersion

    public void setPDFVersion(String value)

Set the PDFVersion

Parameters:
  `value` - Value to set

#### setPDFVersionProperty

    public void setPDFVersionProperty(TextType version)

Set the PDFVersion

Parameters:
  `version` - Property to set

#### setProducer

    public void setProducer(String value)

Set the PDFProducer

Parameters:
  `value` - Value to set

#### setProducerProperty

    public void setProducerProperty(TextType producer)

Set the PDFProducer

Parameters:
  `producer` - Property to set

#### getKeywordsProperty

    public TextType getKeywordsProperty()

Give the PDF Keywords property

Returns:
  The property object

#### getKeywords

    public String getKeywords()

Give the PDF Keywords property value (string)

Returns:
  The property value

#### getPDFVersionProperty

    public TextType getPDFVersionProperty()

Give the PDFVersion property

Returns:
  The property object

#### getPDFVersion

    public String getPDFVersion()

Give the PDFVersion property value (string)

Returns:
  The property value

#### getProducerProperty

    public TextType getProducerProperty()

Give the producer property

Returns:
  The property object

#### getProducer

    public String getProducer()

Give the producer property value (string)

Returns:
  The property value